From 18a1d30e68989de7b7493f7deec013d5be230c49 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Sun, 25 Jan 2015 01:35:50 -0500
Subject: buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output

    The Axiom TeX output for a number with radix greater than 10
potentially contains "#\A" (A is any upper case alphabetic character)
where it should contain just "A" (the double quotes are mine, they do
not appear in the actual output).  This particular bug is used as a
Axiom debugging example in "Volume 4: Axiom Developers Guide' on page
91, but no fix is presented there.  In the release notes I stumbled over
a fix to essentially the same bug in HTML output.  A quick fix applied
to the TeX case is to replace the invocation of the Lisp function
"object2String" with "mathObject2String" (again, the double quotes are
mine) in the file bookvol10.3.pamphlet, line 132043.

    I came across this issue while trying to use TeXmacs as a front end
to Axiom.  In that environment, the above fix generates nicely formatted
numbers with fixed width characters (i.e. monospaced) and over-lining as
needed.  On the other hand, if I run Axiom in an Emacs shell and attempt
to use latex-math-preview-expression to format the Axiom TeX output, the
number is not so nicely formatted.  The letter digits are slanted and
variable width while the number digits are upright and fixed width.
Maybe a "\rm" font specification command is needed in the Axiom TeX
output for a number with radix greater than 10.

reported on 25 Jan 2015 by Frederick H. Pitts <fred.pitts@comcast.net>
---
 buglist                        |   28 +++++++++++++++++++++++++++-
 changelog                      |    2 ++
 patch                          |   26 +++++++++++++++++++++++++-
 src/axiom-website/patches.html |    2 ++
 4 files changed, 56 insertions(+), 2 deletions(-)

diff --git a/buglist b/buglist
index c56edc1..898f3c8 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7297: 
+bug 7298: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,32 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7297: Extraneous "#\" characters in Axiom TeX output
+
+    The Axiom TeX output for a number with radix greater than 10
+potentially contains "#\A" (A is any upper case alphabetic character)
+where it should contain just "A" (the double quotes are mine, they do
+not appear in the actual output).  This particular bug is used as a
+Axiom debugging example in "Volume 4: Axiom Developers Guide' on page
+91, but no fix is presented there.  In the release notes I stumbled over
+a fix to essentially the same bug in HTML output.  A quick fix applied
+to the TeX case is to replace the invocation of the Lisp function
+"object2String" with "mathObject2String" (again, the double quotes are
+mine) in the file bookvol10.3.pamphlet, line 132043.
+
+    I came across this issue while trying to use TeXmacs as a front end
+to Axiom.  In that environment, the above fix generates nicely formatted
+numbers with fixed width characters (i.e. monospaced) and over-lining as
+needed.  On the other hand, if I run Axiom in an Emacs shell and attempt
+to use latex-math-preview-expression to format the Axiom TeX output, the
+number is not so nicely formatted.  The letter digits are slanted and
+variable width while the number digits are upright and fixed width.
+Maybe a "\rm" font specification command is needed in the Axiom TeX
+output for a number with radix greater than 10.
+
+reported on 25 Jan 2015 by Frederick H. Pitts <fred.pitts@comcast.net>
+
+=========================================================================
 bug 7296: connect from VIEW2D is not graph specific
 
 The connect function in VIEW2D globally turns lines on or off.
diff --git a/changelog b/changelog
index e925071..598e2b9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150125 fmp src/axiom-website/patches.html 20150125.01.fmp.patch
+20150125 fmp buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output
 20150122 tpd src/axiom-website/patches.html 20150122.02.tpd.patch
 20150122 tpd books/bookvol5 remove $undoFlag and rename functions
 20150122 tpd src/axiom-website/patches.html 20150122.01.tpd.patch
diff --git a/patch b/patch
index e9fbb2e..922cfc1 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,26 @@
-books/bookvol5 remove $undoFlag and rename functions
+buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output
+
+    The Axiom TeX output for a number with radix greater than 10
+potentially contains "#\A" (A is any upper case alphabetic character)
+where it should contain just "A" (the double quotes are mine, they do
+not appear in the actual output).  This particular bug is used as a
+Axiom debugging example in "Volume 4: Axiom Developers Guide' on page
+91, but no fix is presented there.  In the release notes I stumbled over
+a fix to essentially the same bug in HTML output.  A quick fix applied
+to the TeX case is to replace the invocation of the Lisp function
+"object2String" with "mathObject2String" (again, the double quotes are
+mine) in the file bookvol10.3.pamphlet, line 132043.
+
+    I came across this issue while trying to use TeXmacs as a front end
+to Axiom.  In that environment, the above fix generates nicely formatted
+numbers with fixed width characters (i.e. monospaced) and over-lining as
+needed.  On the other hand, if I run Axiom in an Emacs shell and attempt
+to use latex-math-preview-expression to format the Axiom TeX output, the
+number is not so nicely formatted.  The letter digits are slanted and
+variable width while the number digits are upright and fixed width.
+Maybe a "\rm" font specification command is needed in the Axiom TeX
+output for a number with radix greater than 10.
+
+reported on 25 Jan 2015 by Frederick H. Pitts <fred.pitts@comcast.net>
+
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index e7651e2..f048604 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4970,6 +4970,8 @@ books/bookvol10.3 add Hex String to Integer conversion<br/>
 books/bookvol13 update the proof volume<br/>
 <a href="patches/20150122.02.tpd.patch">20150122.02.tpd.patch</a>
 books/bookvol5 remove $undoFlag and rename functions<br/>
+<a href="patches/20150125.01.fmp.patch">20150125.01.fmp.patch</a>
+buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output<br/>
  </body>
 </html>
 
-- 
1.7.5.4

